Subject: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Sat, 1 Oct 2022 09:26:28 +0200

That seems to work. And I don't see any flicker on a text mode screen
(inside a VM)...
checking on a graphic screen I do see the flickering :( but it works.

Yesterday was a long day ...
Best, /PA

On Fri, 30 Sept 2022 at 18:31, Lars Ingebrigtsen <[email-masked]> wrote:

> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
>
> > It doesn't flicker... but it doesn't seem to change the locale either...
> > I tried
> >
> > (message
>
> >  (with-locale-environment "es_ES.utf8"
>
> >    (format-time-string ";; %a, %d %b %Y %H:%m:%S %z")))
> >
> > and
> >
> > (message
>
> >  (with-locale-environment "C"
>
> >    (format-time-string ";; %a, %d %b %Y %H:%m:%S %z")))
> >
> > And in both cases I get the "C" locale :(
> > Before the strings were correctly generated
>
> Does
>
> (message
>
>  (with-locale-environment "es_ES.UTF-8"
>    (format-time-string ";; %a, %d %b %Y %H:%m:%S %z")))
>
> work better?  If not, do you have the "es_ES.UTF-8" locale in your
> environment?
>
> In any case, with this recipe (i.e., the `message' around the
> `with-locale--' I can reproduce the flashing, even after the fix.  :-/
> But I get
>
> ;; vie, 30 sep 2022 18:09:18 +0200
>

-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet